Package ru.bitel.bgbilling.plugins.assistant.common.bean

# Class AssistantActionItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.assistant.common.bean.AssistantActionItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class AssistantActionItem extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AssistantActionItem.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantActionItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AssistantActionItem.Builder`
  `builder()`
  `String`
  `getActionId()`
  `int`
  `getDependent()`
  `int`
  `getSort()`
  `AssistantActionItem`
  `setActionId(String actionId)`
  `AssistantActionItem`
  `setDependent(int dependent)`
  `AssistantActionItem`
  `setSort(int sort)`
  `ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantActionDTO`
  `toAssistantActionDTO()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AssistantActionItem

    public AssistantActionItem()

- ## Method Details

  - ### getActionId

    public String getActionId()

  - ### setActionId

    public AssistantActionItem setActionId(String actionId)

  - ### getDependent

    public int getDependent()

  - ### setDependent

    public AssistantActionItem setDependent(int dependent)

  - ### getSort

    public int getSort()

  - ### setSort

    public AssistantActionItem setSort(int sort)

  - ### toAssistantActionDTO

    public ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantActionDTO toAssistantActionDTO()

  - ### builder

    public static AssistantActionItem.Builder builder()